@base <https://purl.org/coscine/ap/qudt/quantitykind/ChemicalConsumptionPerMass/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/ChemicalConsumptionPerMass/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Chemical Consumption Per Mass sind."@de,
    "Profile for all units that are a/an Chemical Consumption Per Mass."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Chemical Consumption Per Mass"@de,
    "Unit: Chemical Consumption Per Mass"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:DeciL-PER-GM unit:L-PER-KiloGM unit:M3-PER-KiloGM unit:MilliL-PER-GM unit:MilliL-PER-KiloGM unit:MilliM3-PER-GM unit:MilliM3-PER-KiloGM ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:DeciL-PER-GM rdfs:label "Decilitre Per Gram"@en, "Decilitre Per Gram"@en-us .
unit:L-PER-KiloGM rdfs:label "Liter Per Kilogram"@en-us, "Litre Per Kilogram"@en .
unit:M3-PER-KiloGM rdfs:label "Cubic Meter Per Kilogram"@en-us, "Cubic Metre Per Kilogram"@en .
unit:MilliL-PER-GM rdfs:label "Milliliter Per Gram"@en-us, "Millilitre Per Gram"@en .
unit:MilliL-PER-KiloGM rdfs:label "Millilitre Per Kilogram"@en, "Millilitre Per Kilogram"@en-us .
unit:MilliM3-PER-GM rdfs:label "Cubic Millimeter Per Gram"@en-us, "Cubic Millimetre Per Gram"@en .
unit:MilliM3-PER-KiloGM rdfs:label "Cubic Millimeter Per Kilogram"@en-us, "Cubic Millimetre Per Kilogram"@en .
